when:
  - event: pull_request

steps:
  - name: pre-commit
    image: git.unkin.net/unkin/almalinux9-base:20260606
    commands:
      - uvx pre-commit run --all-files
    backend_options:
      kubernetes:
        serviceAccountName: default
        resources:
          requests:
            memory: 256Mi
            cpu: 250m
          limits:
            memory: 1Gi
            cpu: 1
